UART_PARSE_OPTIONS(9)

NAME
uart_parse_options - Parse serial port baud/parity/bits/flow control.

SYNOPSIS

void uart_parse_options(char * options, int * baud, int * parity, int * bits, int * flow);

ARGUMENTS

options
    pointer to option string

baud
    pointer to an 'int' variable for the baud rate.

parity
    pointer to an 'int' variable for the parity.

bits
    pointer to an 'int' variable for the number of data bits.

flow
    pointer to an 'int' variable for the flow control character.

DESCRIPTION

uart_parse_options decodes a string containing the serial console options. The format of the string is <baud><parity><bits><flow>,

EG

115200n8r

COPYRIGHT